# $Id: dansguardian.spec,v 1.2 2013/07/02 19:04:58 unnilennium Exp $
# Authority: dungog
# Name: Stephen Noble

Name: dansguardian
Version: 2.10.1.1
Release: 1%{?dist}
Summary: Content filter
License: GNU GPL version 2
Url: http://www.dansguardian.org
Group: System/Servers
Source0: %name-%version.tar.gz
Patch0: dansguardian-gcc44.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gcc-c++ zlib-devel clamav-devel bzip2-devel gmp-devel pkgconfig
Requires: squid clamav 
#clamav-lib

%description
DansGuardian is a web content filtering proxy that uses Squid to do all
the fetching. It filters using multiple methods. These methods include 
URL and domain filtering, content phrase filtering, PICS filtering, 
MIME filtering, file extension filtering, POST limiting.

%prep
%setup -q
%patch0 -p1

%build
%configure --datadir=/etc \
--enable-clamd \
--enable-icap \
--enable-ntlm \
--enable-trickledm \
--enable-fancydm \
--enable-email \
--enable-pcre=no \
--with-logdir=/var/log/dansguardian \
--with-proxyuser=clamav \
--with-proxygroup=clamav \
--with-piddir=/var/run 
make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/init.d/
mkdir -p $RPM_BUILD_ROOT/usr/share/dansguardian
touch $RPM_BUILD_ROOT/etc/dansguardian/lists/exceptionfileurllist
cp $RPM_BUILD_ROOT/etc/dansguardian/scripts/systemv-init $RPM_BUILD_ROOT/etc/init.d/dansguardian
rm -rf $RPM_BUILD_ROOT/usr/share/doc/dansguardian

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post
%preun
if [ $1 = 0 ]; then
 /sbin/service %{name} stop 2>/dev/null 1>/dev/null
fi

%files
%defattr(-,root,root)
%doc README NEWS ChangeLog AUTHORS COPYING 
%doc doc/AuthPlugins doc/ContentScanners doc/DownloadManagers doc/FAQ doc/FAQ.html doc/Plugins
%attr(0755,root,root) %dir /etc/dansguardian
%attr(0644,root,root) %config(noreplace) /etc/dansguardian/*
%attr(0755,root,root) /etc/init.d/dansguardian
%attr(0755,clamav,nobody) %dir /var/log/dansguardian
%attr(0755,root,root) %{_sbindir}/*
%attr(0644,root,root) %{_mandir}/*/* 
%{_datadir}/%{name}/

%changelog
* Tue Jul 2 2013 JP Pialasse <tests@pialasse.com> 2.10.1.1-1.sme
- Upstream Release 2.10.1.1
- Update to build against clamav/clamd 0.97

* Sat Apr 4 2009 Stephen Noble <support@dungog.net> 2.10.0.3-4.sme
- build without "--enable-clamav" we use clamd

* Sat Apr 4 2009 Stephen Noble <support@dungog.net> 2.10.0.3-3.sme
- Upstream Release 2.10.0.3     
- Update to build against clamav 0.95  

* Fri Dec 12 2008 Stephen Noble <support@dungog.net> 2.10.0.2-1.sme
- Conflicts dungog-dansguardian < 2.9
- Upstream Release 2.10.0.2       

* Thu Oct 9 2008 Shad L. Lords <slords@mail.com> 2.10-1.sme
- Upstream Release 2.10

* Fri Sep 5 2008 Shad L. Lords <slords@mail.com> 2.9.9.7-1
- Upstream Release 2.9.9.7
- Update to build against clamav 0.94

* Sat May 6 2008 Shad L. Lords <slords@mail.com> 2.9.9.4-1
- Upstream Release 2.9.9.4

* Sat Apr 19 2008 Shad L. Lords <slords@mail.com> 2.9.9.3-1
- Upstream Release 2.9.9.3
- Update to build against clamav 0.93

* Sat Dec 22 2007 Stephen Noble dungog.net
- Upstream Release 2.9.9.2

* Sun Oct 28 2007 Stephen Noble dungog.net
- rebuild for SME Server 2.9.9.1

* Tue Jun 19 2007 Daniel Bartz
- rebuild for the centos repo
